<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FormBlockResults.aspx.cs" Inherits="NorthwoodsSoftwareDevelopment.Cms.FormBlockResults" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" id="htmlTag" runat="server"> 
<head runat="server">
    <title>Form Block Results</title>
	<link rel="stylesheet" type="text/css" href="/css/titan.css" />
    <script src='/scripts/CalendarDisplay.js' type="text/javascript"></script>
    <script src='/scripts/DefaultButtons.js' type="text/javascript"></script>
    <script src='/scripts/Utilities.js' type="text/javascript"></script>
    <script src='/scripts/GlobalOps.js' type="text/javascript" ></script>
    <script src='/scripts/RadWrappers.js' type="text/javascript" ></script>
    <script src='/scripts/ContentTabsWS.js' type="text/javascript" ></script>
    <script src='/scripts/SideBarTabs.js' type="text/javascript" ></script>
    <script src='/scripts/GlobalNav.js' type="text/javascript" ></script>
    <script src='/scripts/ResultsSupport.js' type="text/javascript" ></script>
    <script src='/scripts/FormEditorSupport.js' type="text/javascript" ></script> 
    <script src='../FormBlock.js' type="text/javascript" ></script> 
</head>
<body style="overflow:auto">
    <form id="form1" runat="server">
    <div id="titan_ui_workarea_content" class="titanWkstMarker">
        <asp:Xml id="popup" runat="server"/>			                
        <asp:ScriptManager ID="globalScriptManager" runat="server">
            <Services>
                <asp:ServiceReference Path="/ContentMgmt/Operations/ModifyImage.asmx" />
            </Services>
        </asp:ScriptManager>
    
        <asp:Panel ID="errorPanel" runat="server">
            <fieldset>
                <div class="fieldwrapper error">
                    <div class="left">
                        <label id="errorLabel" runat="server">
                            Illegal Page Usage.  No DocID specified
                        </label>
                    </div>
                </div>
            </fieldset>
        </asp:Panel>
        
        <asp:Panel ID="contentPanel" runat="server">
            <fieldset>
                <div class="fieldwrapper">
                    <div class="fieldwrapper">
                        <div class="left">
                            <label>Start Date:</label>
                        </div>
                        <div class="right">
                            <div class="checkbox_none"></div>
                            <div class="calendarInput">
                                <input type="text" isdate="1" value="" id="startDate" runat="server" onblur='Wkst_RadCalendarOnBlur(this)'/>
                                <div class="calendarIcon" onclick="DP_EnableCalendar('<%= startDate.ClientID %>', this, 0, 0, event)")>&nbsp;</div>
                            </div>
                        </div>
                    </div>
                    <div class="fieldwrapper">
                        <div class="left">
                            <label>EndDate Date:</label>
                        </div>
                        <div class="right">
                            <div class="checkbox_none"></div>
                            <div class="calendarInput">
                                <input type="text" isdate="1" value="" id="endDate" runat="server" onblur='Wkst_RadCalendarOnBlur(this)'/>
                                <div class="calendarIcon" onclick="DP_EnableCalendar('<%= endDate.ClientID %>', this, 0, 0, event)")>&nbsp;</div>
                            </div>
                        </div>
                    </div>
                     <div class="fieldwrapper" id="fieldPickerDiv" runat="server">
                        <div class="left">
                            <label>Report Fields:</label>
                        </div>
                        <div class="right">
                            <div class="checkbox_none"></div>
                            <ul class="vertical">
                                <li>
                                    <span id="reportFields" runat="server" style="width:100%"></span>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="fieldwrapper">
                        <div class="right">
                            <div class="checkbox_none"></div>
                            <ul class="horizontal">                                    
                                <li>&#160;</li>
                                <li>
                                    <asp:Button ID="getResultsGrid" runat="server" Text="Get Results" style="width: 150px;" CssClass="titan_button" OnClick="getResultsGrid_Click" /><br /><br />
                                </li>
                                <li>
                                    <asp:Button ID="getResultsExcel" runat="server" Text="Get Results for Excel" style="width: 150px;" CssClass="titan_button" OnClick="getResultsExcel_Click" /><br /><br />
                                </li>
                                <li>
                                    <asp:Button ID="flushDB" OnClientClick="return window.confirm('Are you sure you want to delete all stored results for this form?');" runat="server" Text="Clear Results" style="width: 150px;" CssClass="titan_button" OnClick="flushDB_Click" />
                                </li>
                                <li>
                                    <asp:Button ID="changeFields" runat="server" Text="Change Report Fields" CssClass="titan_button" OnClientClick="FormBlock_FieldPicker('', 'popup');return false;" style="width: 150px; height:25px"/>
                                </li>
                            </ul>
                                
                            <input type="hidden" id="reportFieldsInput" runat="server" />
                            <input type="hidden" id="_originalFieldData" runat="server" />
                        </div>
                    </div>               
                </div>
            </fieldset>
            
            <div class="titan_data_table" style="background:white">
                <asp:Xml id="htmlResults" runat="server" />
            </div>                    

        </asp:Panel>
    </div>
    </form>
</body>
</html>
