<%@ Page Language="C#" AutoEventWireup="true" validateRequest="false"  CodeBehind="FormBlockEmailTest.aspx.cs" Inherits="NorthwoodsSoftwareDevelopment.Cms.Display.FormBlockEmailTest" %>
<%@ OutputCache Duration="1" Location="None"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="htmlTag" runat="server">
<head runat="server">
    <title>Delete. . . </title>
    <script src='/scripts/RadWrappers.js' type="text/javascript"></script>
    <script src='/scripts/Utilities.js' type="text/javascript"></script>
    <script src='/scripts/FormEditorSupport.js' type="text/javascript"></script>
    <script src='FormBlockEmailTest.js' type="text/javascript"></script>
    <link rel='stylesheet' type='text/css' href='/css/titan.css' />
</head>
<body id="bodyTag" runat="server" class="dialog_loading">
<form id="form1" runat="server">
    <div class="titanWkstMarker">
        <asp:Panel ID="errorPanel" runat="server" Visible="false">
            <div class="dialog_area_medium" style="height:280px">
                <div class="h1">Errors Occurred</div>
                <p><asp:Literal ID="errorText" runat="server" /></p>
            </div>
            <div class="dialog_buttons">
                <input class="dialog_close_button" type="button" onclick="DoClose(false)" value="Close" />
            </div>            
        </asp:Panel>

        <asp:Panel id="emailSent" runat="server" Visible="false">
            <div class="dialog_area_medium " style="height:280px">
                <div class="h1">Test Email Sent</div>
                <p>A test email was sent to <asp:Literal ID="destEmailLiteral" runat="server" /> with the from-address of <asp:Literal ID="sourceEmailLiteral" runat="server" /> using the email server <asp:Literal ID="emailServer" runat="server" />.  It should arrive shortly.</p>
                <p>If the email does not arrive, verify the email server configured in the global application variables is correct.  Also verify that the email you provided for the from-address is a valid email address for your mail server.  Note that most email servers will refuse to send email for users that are not authorized.</p>
            </div>                    
            <div class="dialog_buttons">
                <input type="button" value="Close" onclick="DoClose(false)" class="dialog_close_button" />
            </div>
        </asp:Panel>
        
        <asp:Panel ID="toPrompt" runat="server" Visible="false">
            <div id="promptPrompt">
                <div class="dialog_area_medium " style="height:280px">
                    <fieldset>
                        <div class="fieldwrapper">
                            <div class="left">
                                <label>Send To:</label>
                            </div>
                            <div class="right">
                                <div class="checkbox_none"></div>
                                <input class="textinput" id="toUser" style="width:70%"/>
                            </div>
                        </div>
                    </fieldset>
                </div>                                            
                <div class="TTButtonDiv">
                    <div class="TTButtonDivSurprise">
                        <input class="TTButton" type="button" value="OK" onclick="Send()" />             
                        <input class="TTButton" type="button" value="Cancel" onclick="DoClose()" />            
                    </div>
                </div>
            </div>
            <div class="h1" id="promptWait" style="display:none">Please wait...</div>
        </asp:Panel>
           
        <div id="waitDiv" class="dialog_area_medium" runat="server">
            <div class="h1">Please wait...</div>
        </div>
    </div>                        
    <input type="hidden" id="sourceEmail" value="" runat="server"/>
    <input type="hidden" id="destEmail" value="" runat="server" />
    <input type="hidden" id="subjectPrefix" value="" runat="server" />
    <input type="hidden" id="body" value="" runat="server" />
</form>    
</body>
</html>
